import styles from "./header.module.css";
import Search from "../search/page";
import Icon from "../icons/page";
import { useState } from "react";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome"; // Correct

function Header({ onThemeChange }) {
  const [theme, setTheme] = useState("light");

  const handleTheme = () => {
    theme == "light" ? setTheme("dark") : setTheme("light");
    onThemeChange(theme);
  };
  return (
    <header className={styles.header}>
      <div className={styles.container}>
        <nav className={styles.navbar}>
          <a className={styles["navbar-brand"]} href="/">
            <FontAwesomeIcon
              icon="fa-solid fa-newspaper"
              style={{ fontSize: "30px", color: "#5a67d8" }}
            />

            <h2>NewsBlog</h2>
          </a>

          {/* <div className={styles["search-input"]}>
            <span className={`${styles["search-icon"]} fa fa-search`}></span>
            <input
              className={styles.search}
              type="text"
              placeholder="Discover news, articles and more"
            />
          </div> */}
          <Search />
          <span onClick={handleTheme} className={styles.themelight}>
            <Icon name={theme == "dark" ? "moon" : "sun"} />
          </span>
        </nav>
      </div>
    </header>
  );
}

export default Header;
